%global source_date_epoch_from_changelog %{nil}

Name:       10mt
Version:    0.8.43
Release:    1%{?dist}
Summary:    Simple tool for provisioning virtual machines
URL:        none
License:    MIT
Source:     %{name}-%{version}.tar.gz
BuildArch:  noarch

BuildRequires:    asciidoc
BuildRequires:    selinux-policy-devel
Requires(post):   policycoreutils
Requires(preun):  policycoreutils
Requires(postun): policycoreutils
Requires:         openssh
Requires:         virt-install
Requires:         libvirt
Requires:         qemu-kvm
Requires:         procps-ng
Requires:         swtpm
Requires:         sudo
Requires:         edk2-ovmf
#Requires:         ansifilter


%description
Simple Tool for provisioning virtual machines that can be customized
via kickstart files

%prep
%autosetup -p 1

%build
a2x -f manpage %{name}.1.adoc

_policy=selinux/policy10mt.te.fc41
%if 0%{?rhel} && 0%{?rhel} >= 9
_policy=selinux/policy10mt.te.rhel9
%endif
%if 0%{?rhel} && 0%{?rhel} == 8
_policy=selinux/policy10mt.te.rhel8
%endif
cp "${_policy}" policy%{name}.te
make -f /usr/share/selinux/devel/Makefile policy%{name}.pp

%install
mkdir -p %{buildroot}/%{_datadir}/%{name}
mkdir -p %{buildroot}/%{_datadir}/selinux/packages/%{name}
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_sysconfdir}
mkdir -m755 -p %{buildroot}/%{_localstatedir}/lib/%{name}
mkdir -m755 -p %{buildroot}/%{_mandir}/man1

install -m755 %{name} %{buildroot}/%{_bindir}/
install -m755 %{name}ctl %{buildroot}/%{_bindir}/
install -m644 %{name}.conf %{buildroot}/%{_sysconfdir}/
install -m644 %{name}.1 %{buildroot}/%{_mandir}/man1/
install -m644 policy%{name}.pp %{buildroot}/%{_datadir}/selinux/packages/%{name}/

cp -a template %{buildroot}/%{_datadir}/%{name}/

%post
if [ "$1" -le "1" ] ; then # First install.
  semodule -i %{_datadir}/selinux/packages/%{name}/policy%{name}.pp 2>/dev/null || :
fi

%preun
if [ "$1" -lt "1" ] ; then # Final removal.
  semodule -r policy%{name} 2>/dev/null || :
fi

%postun
if [ "$1" -ge "1" ] ; then # Upgrade.
  semodule -i %{_datadir}/selinux/packages/%{name}/policy%{name}.pp 2>/dev/null || :
fi

%files
%license LICENSE
%attr(0755,root,root) %{_localstatedir}/lib/%{name}
%{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_bindir}/%{name}ctl
%{_datadir}/%{name}/template/
%{_datadir}/selinux/packages/%{name}/policy%{name}.pp
%{_mandir}/man1/%{name}.1.*

